Bug 164124 - symlink required for mailx
symlink required for mailx
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-lsb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
Depends On:
Blocks: 145007 156322
  Show dependency treegraph
Reported: 2005-07-25 02:07 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHEA-2005-649
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-05 12:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-07-25 02:07:09 EDT
Description of problem:
There is one failure in for lsbcmdchk. 

15|72 tetj-1.0 1|TCM Start
400|72 1 14:42:44|IC Start
200|72 1 14:42:44|Looking for command mailx
220|72 1 1 14:42:44|FAIL
410|72 1 14:42:44|IC End
80|72 0 14:42:44|TC End

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install lsbcmdchk
Actual results:
LSB failed to locate mailx

Expected results:
Zerro error

Additional info:
Same error on both x86 and x86_64 arch
Comment 1 Leon Ho 2005-07-25 03:09:20 EDT
(cc'ing mailx maintainer)

Would it be better to do it in mailx package to comply with LSB3?

This must be fixed to meet the requirement of LSB3, so putting this into
Comment 2 Ivana Varekova 2005-07-26 07:51:22 EDT
I think it is redhat-lsb problem. redhat-lsb misses require /bin/mail.
Ivana Varekova
Comment 3 Ivana Varekova 2005-07-26 08:38:32 EDT
But there is missed /bin/mailx symlink (mailx provided only /usr/mail) too. So
there should be created this symlink. I don't know whether this symlink should
be created by mailx package or by redhat-lsb package. redhat-lsb should ensure
LSB3 compatibility - so probably this package should create symlink (I
undarstand that LSB3 don't say anything about concreate packages but about whole
Ivana varekova
Comment 6 Leon Ho 2005-07-26 22:38:24 EDT
I think the underlying problem is if we are going to create the symlink in
redhat-lsb, by default redhat-lsb is not installed and the system will not
comply with LSB.
Comment 7 Bill Nottingham 2005-07-26 23:07:57 EDT
redhat-lsb is required to be installed for LSB conformance, so confining fixes
for LSB to redhat-lsb should be fine.
Comment 8 Leon Ho 2005-07-26 23:35:38 EDT
Does it create a problem when customers/partners create script/program to run in
LSB conformed system and by default expect mailx package contains /sbin/mailx? 
Does customers have to install redhat-lsb if they want RHEL to be a LSB
conformed environment?

If it is latter then I am fine with that.
Comment 9 Bill Nottingham 2005-07-26 23:50:24 EDT
The latter - if they want a LSB environment, they need to install redhat-lsb.
Comment 10 Leon Ho 2005-07-29 02:25:43 EDT
redhat-lsb-3.0-5.EL should fix the problem. Waiting for QA ack before modifying
the status.
Comment 11 Lawrence Lim 2005-08-01 02:53:51 EDT
Tested redhat-lsb-3.0-5.EL with lsb-cmdchk on ppc64, confirmed this has been fixed.

10|72 mailx 16:53:28|TC Start
15|72 tetj-1.0 1|TCM Start
400|72 1 16:53:28|IC Start
200|72 1 16:53:28|Looking for command mailx
220|72 1 0 16:53:28|PASS
410|72 1 16:53:28|IC End
80|72 0 16:53:28|TC End
Comment 12 Tom Kincaid 2005-08-01 06:09:02 EDT
Comment 13 Leon Ho 2005-08-01 23:38:08 EDT
It is done. Changing to MODIFIED.
Comment 16 Red Hat Bugzilla 2005-10-05 12:38:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.